org.apache.jmeter.engine.event

## Class LoopIterationEvent

- java.lang.Object
- - org.apache.jmeter.engine.event.LoopIterationEvent

-     public class LoopIterationEvent
      extends java.lang.Object

  An iteration event provides information about the iteration number and the source of the event.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoopIterationEvent(TestElement source, int iter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIteration()` Returns the iteration.
    `TestElement` | `getSource()` Returns the source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoopIterationEvent

          public LoopIterationEvent(TestElement source,
                                    int iter)

  - ### Method Detail

    - #### getIteration

          public int getIteration()

      Returns the iteration.
      Returns:
        int

    - #### getSource

          public TestElement getSource()

      Returns the source.
      Returns:
        TestElement

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.